language: node_js
script: npm test
sudo: false
dist: trusty
before_script:
  - psql -c 'create database pgpubsub_test;' -U postgres
after_success:
  - "cat coverage/lcov.info | ./node_modules/.bin/coveralls"
matrix:
  include:
    - node_js: "10"
      addons:
        postgresql: "9.6"
    - node_js: "10"
      addons:
        postgresql: "9.4"
    - node_js: "10"
      addons:
        postgresql: "9.2"
    - node_js: "12"
      addons:
        postgresql: "9.6"
